# Contributing Guidelines

## For questions

Read the [documentation](https://system-designer.readme.io/) before to see if your questions has been answered in the documentation

## For suggestions

Give a concrete example of what you want to see in System Designer.

## For issues

Give the following informations related to your problem: 

- [ ] System Designer version number (ex: *v1.9.9*)
- [ ] Platform (ex: *macOS version*)
- [ ] Your OS version (ex: *macOS 10.13.3*)
- [ ] If use on a phone, please give the model (ex: *iPhone 6S*)
- [ ] Steps to reproduce the problem

## For contributing to System Designer codebase

Follow these steps:

1. Read the System Designer [Code of Conduct](CODE_OF_CONDUCT.md)
2. [Create an issue](https://github.com/design-first/system-designer/issues) where you describe what you plan to do
3. Once the issue has been accepted, you can work on your branch for that issue
4. Once you have completed your task, create a pull request for a review. Remember that the build must succeed
5. Once review is done. The pull request will be merged